Bug 528465 - Keepalived keeps segfaulting when started.
Keepalived keeps segfaulting when started.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: keepalived (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-12 07:03 EDT by Ruben Kerkhof
Modified: 2009-12-09 23:23 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.19-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:05:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix modprobing ip_vs module (567 bytes, patch)
2009-10-12 07:03 EDT, Ruben Kerkhof
no flags Details | Diff

  None (edit)
Description Ruben Kerkhof 2009-10-12 07:03:20 EDT
Created attachment 364448 [details]
Fix modprobing ip_vs module

Description of problem:

Keepalived segfaults when the ip_vs module isn't loaded.

Version-Release number of selected component (if applicable):

[ruben@lb1 ~]$ rpm -q keepalived
keepalived-1.1.17-1.fc11.x86_64

How reproducible:

[ruben@lb1 ~]$ sudo service keepalived start

  
Actual results:

The following messages fill up my logfile:
__ratelimit: 744 callbacks suppressed
keepalived[9878]: segfault at 0 ip 000000000040bc05 sp 00007fffb3b0aeb0 error 6 in keepalived[400000+25000]
keepalived[9880]: segfault at 0 ip 000000000040bc05 sp 00007fffb3b0aeb0 error 6 in keepalived[400000+25000]
keepalived[9882]: segfault at 0 ip 000000000040bc05 sp 00007fffb3b0aeb0 error 6 in keepalived[400000+25000]
keepalived[9884]: segfault at 0 ip 000000000040bc05 sp 00007fffb3b0aeb0 error 6 in keepalived[400000+25000]

Expected results:

A working keepalived.

Additional info:

keepalived tries to modprobe ip_vs.ko at startup (in ipvswrapper.c)
with modprobe -s -k. I guess modprobe dropped the -k option a while ago, so this command fails.

I've attached a patch which fixes this.
Comment 1 Ruben Kerkhof 2009-11-02 11:04:26 EST
Hi Matthias,

Have you had a chance to look at this ticket? If not, let me know and I'll update keepalived myself (if you don't mind).
Comment 2 Ruben Kerkhof 2009-11-22 15:54:40 EST
ping?
Comment 3 Matthias Saou 2009-11-24 16:46:45 EST
Thanks for the report and the patch! Sorry for taking so long, I've been wanting to perform proper testing for this one, and I've been preparing the update to 1.1.19 too. I really hope to get it over with in the next few days.
Comment 4 Matthias Saou 2009-11-24 16:55:38 EST
I've just rebuilt 1.1.19 for devel, in case you can test and give feedback on it :
http://koji.fedoraproject.org/koji/taskinfo?taskID=1828267

I'll be testing it shortly on systems with real (and complex) configurations, after which I'll push the update to other branches if all went well, but your feedback would also be very welcome!
Comment 5 Ruben Kerkhof 2009-11-25 07:37:11 EST
Thanks!
I'll give it a shot tomorrow on our ldap cluster, and let you know how it works.
Comment 6 Ruben Kerkhof 2009-11-25 16:36:05 EST
Hey Matthias,

Just tested it out (did a rebuild for F-11), failover and everything, and it works fine.
Comment 7 Fedora Update System 2009-12-08 11:25:30 EST
keepalived-1.1.19-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/keepalived-1.1.19-3.fc12
Comment 8 Fedora Update System 2009-12-08 11:25:35 EST
keepalived-1.1.19-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/keepalived-1.1.19-3.fc11
Comment 9 Fedora Update System 2009-12-09 23:05:23 EST
keepalived-1.1.19-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-12-09 23:23:44 EST
keepalived-1.1.19-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.